Bug 983135 - tgtd crashes - segmentation fault (iscsi_target_destroy)
tgtd crashes - segmentation fault (iscsi_target_destroy)
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scsi-target-utils (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 11:12 EDT by Jaroslav Kortus
Modified: 2016-04-11 10:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 10:15:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core file (41.51 KB, application/octet-stream)
2013-07-10 11:16 EDT, Jaroslav Kortus
no flags Details
second core file (different system) (97.96 KB, application/octet-stream)
2013-07-10 11:16 EDT, Jaroslav Kortus
no flags Details

  None (edit)
Description Jaroslav Kortus 2013-07-10 11:12:09 EDT
Description of problem:
during our normal operations the tgtd daemon crashes:
Core was generated by `tgtd'.
Program terminated with signal 11, Segmentation fault.
#0  iscsi_target_destroy (tid=19860101, force=<value optimized out>) at iscsi/target.c:410
410                     list_for_each_entry_safe(conn, ctmp, &session->conn_list, clist) {
Missing separate debuginfos, use: debuginfo-install libgcc-4.4.7-3.el6.x86_64
(gdb) bt
#0  iscsi_target_destroy (tid=19860101, force=<value optimized out>) at iscsi/target.c:410
#1  0x000000000041c9bc in tgt_target_destroy (lld_no=0, tid=19860101, force=1) at target.c:2006
#2  0x000000000041a5a1 in target_mgmt (mtask=0x1b60130) at mgmt.c:86
#3  tgt_mgmt (mtask=0x1b60130) at mgmt.c:411
#4  0x000000000041abb7 in mtask_handler (fd=13, events=<value optimized out>, data=0x1b60130) at mgmt.c:491
#5  0x0000000000418be9 in event_loop () at tgtd.c:411
#6  0x000000000041929a in main (argc=<value optimized out>, argv=<value optimized out>) at tgtd.c:583


Version-Release number of selected component (if applicable):
scsi-target-utils-1.0.24-2.el6.x86_64

How reproducible:
unknown

Steps to Reproduce:
1. unknown, no specific reproducer found 
2.
3.

Actual results:
tgtd crashes

Expected results:
no crash

Additional info:
Comment 1 Jaroslav Kortus 2013-07-10 11:16:14 EDT
Created attachment 771695 [details]
core file
Comment 2 Jaroslav Kortus 2013-07-10 11:16:50 EDT
Created attachment 771696 [details]
second core file (different system)
Comment 4 RHEL Product and Program Management 2013-10-13 23:10:35 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Jaroslav Kortus 2013-10-14 05:26:40 EDT
no one cares? Do we have better alternative in RHEL 6?
Comment 6 Andy Grover 2013-10-14 12:38:32 EDT
Well sure I care. I've spent days trying to track down list corruption in tgtd, with no results so far. If you have time to look deeper then great, or I'll take another stab when I get the chance.
Comment 8 Jaroslav Kortus 2016-04-11 09:41:05 EDT
we got fresh build of TGTD for RHEL6 probably as part of another bug and we're tracking it there.

Feel free to close this one. Thanks.

Note You need to log in before you can comment on or make changes to this bug.